igeo

## Class I2DSurfaceNormalField.I2DSurfaceNormalFieldGeo

- java.lang.Object
- - igeo.IFieldGeo
  - - igeo.I2DSurfaceFieldGeo
    - - igeo.I2DSurfaceNormalField.I2DSurfaceNormalFieldGeo

- All Implemented Interfaces:
    I2DFieldI, IFieldI
  Enclosing class:
    I2DSurfaceNormalField

      public static class I2DSurfaceNormalField.I2DSurfaceNormalFieldGeo
      extends I2DSurfaceFieldGeo

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.IFieldGeo

      `IFieldGeo.Decay`

  - ### Field Summary

    - ### Fields inherited from class igeo.I2DSurfaceFieldGeo

      `fieldSurface, surface`

    - ### Fields inherited from class igeo.IFieldGeo

      `bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2DSurfaceNormalFieldGeo(ISurfaceI srf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVec2I` | `get(IVecI v, IVec2I uv)` get original field value out of surface parameter uv

    - ### Methods inherited from class igeo.I2DSurfaceFieldGeo

      `bidirectional, constantIntensity, del, gauss, gaussian, gaussianDecay, get, get, get, intensity, linear, linearDecay, noDecay, threshold`

    - ### Methods inherited from class igeo.IFieldGeo

      `decay, decay, intensity, threshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface igeo.IFieldI

      `decay, intensity, threshold`

- - ### Constructor Detail

    - #### I2DSurfaceNormalFieldGeo

          public I2DSurfaceNormalFieldGeo(ISurfaceI srf)

  - ### Method Detail

    - #### get

          public IVec2I get(IVecI v,
                            IVec2I uv)

      Description copied from class: `I2DSurfaceFieldGeo`
      get original field value out of surface parameter uv
      Overrides:
        `get` in class `I2DSurfaceFieldGeo`